# Copyright 2018- Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, fields, models


class AccountMove(models.Model):
    _inherit = "account.move"

    beneficiary_id = fields.Many2one(
        comodel_name="res.partner",
        string="Bénéficiaire",
        domain=[("is_company", "=", True)],
        copy=True,
    )

    @api.onchange("partner_id")
    def _onchange_beneficiary_id(self):
        self.beneficiary_id = self.partner_id
